POST Agents/Contact/GetMyBizCard
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/GetMyBizCard
Returns all data needed to display the logged on person's business card.
That is company, person, and company interest data. NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/GetMyBizCard?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/GetMyBizCard
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 503,
"Name": "Financial Services Corp",
"Department": "Investment Banking",
"OrgNr": "258369147",
"Number1": "10007",
"Number2": "20007",
"UpdatedDate": "2021-09-02T10:10:59.4352632+02:00",
"CreatedDate": "2016-06-10T10:10:59.4352632+02:00",
"Emails": [
{
"Value": "contact@financialservices.com",
"StrippedValue": "contact@financialservices.com",
"Description": "General inquiries",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 336
}
}
},
{
"Value": "dolores",
"StrippedValue": "similique",
"Description": "Digitized tangible ability",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 336
}
}
}
],
"Interests": [
{
"Id": 959,
"Name": "Financial Advisors Network",
"ToolTip": "Professional network for financial services",
"Deleted": false,
"Rank": 513,
"Type": "rem",
"ColorBlock": 795,
"IconHint": "aut",
"Selected": false,
"LastChanged": "2017-10-04T10:10:59.4352632+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "sunt",
"StyleHint": "delectus",
"Hidden": false,
"FullName": "Prof. Berry Jones",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 155
}
}
}
],
"Urls": [
{
"Value": "illum",
"StrippedValue": "et",
"Description": "Customizable responsive toolset",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 614
}
}
},
{
"Value": "illum",
"StrippedValue": "et",
"Description": "Customizable responsive toolset",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 614
}
}
}
],
"Phones": [
{
"Value": "aliquam",
"StrippedValue": "doloribus",
"Description": "Down-sized cohesive array",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 305
}
}
},
{
"Value": "aliquam",
"StrippedValue": "doloribus",
"Description": "Down-sized cohesive array",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 305
}
}
}
],
"Faxes": [
{
"Value": "soluta",
"StrippedValue": "assumenda",
"Description": "Multi-lateral regional framework",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 159
}
}
},
{
"Value": "soluta",
"StrippedValue": "assumenda",
"Description": "Multi-lateral regional framework",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 159
}
}
}
],
"Description": "Enhanced zero administration hierarchy",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "reiciendis",
"PersonId": 960,
"Mrmrs": "suscipit",
"Firstname": "Robert",
"Lastname": "Williams",
"MiddleName": "James",
"Title": "Investment Advisor",
"Description": "Senior investment advisor specializing in corporate portfolios",
"Email": "r.williams@financialservices.com",
"FullName": "Robert Williams",
"DirectPhone": "+1-555-0456",
"FormalName": "Mr. Robert James Williams",
"CountryId": 498,
"ContactId": 816,
"ContactName": "Financial Services Corp",
"Retired": 0,
"Rank": 5,
"ActiveInterests": 3,
"ContactDepartment": "Investment Banking",
"ContactCountryId": 840,
"ContactOrgNr": "258369147",
"FaxPhone": "(396)636-0698",
"MobilePhone": "(025)745-2529 x36915",
"ContactPhone": "1-250-456-7800 x50387",
"AssociateName": "Koelpin Inc and Sons",
"AssociateId": 467,
"UsePersonAddress": false,
"ContactFax": "veritatis",
"Kanafname": "fugiat",
"Kanalname": "voluptate",
"Post1": "eos",
"Post2": "dolorum",
"Post3": "veniam",
"EmailName": "syble.reynolds@dubuque.name",
"ContactFullName": "Brielle Reynolds I",
"ActiveErpLinks": 833,
"TicketPriorityId": 813,
"SupportLanguageId": 616,
"SupportAssociateId": 24,
"CategoryName": "VIP Customer",
"PersonNumber": "1139123",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 475
}
}
}
],
"NoMailing": true,
"Kananame": "facilis",
"Xstop": false,
"ActiveInterests": 446,
"GroupId": 410,
"ActiveStatusMonitorId": 12,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 541,
"DbiAgentId": 122,
"DbiLastSyncronized": "2009-08-04T10:10:59.4392621+02:00",
"DbiKey": "cum",
"DbiLastModified": "2022-07-21T10:10:59.4392621+02:00",
"SupportPerson": null,
"Address": null,
"Source": 6,
"ActiveErpLinks": 982,
"BounceEmails": [
"old@financialservices.com",
"bounce@financialservices.com"
],
"Domains": [
"exercitationem",
"in"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Carleton Altenwerth",
"SuperOffice:2": "True"
},
"ExtraFields": {
"ExtraFields1": "ut",
"ExtraFields2": "rerum"
},
"CustomFields": {
"CustomFields1": "dicta",
"CustomFields2": "mollitia"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 857
}
}
}